{% extends 'base.html.twig' %}

{% block content %}
    <ol class="breadcrumb">
        <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
        <li><a href="{{ path('domain') }}">{{ 'breadcrumbs.domains.title' | trans }}</a></li>
        <li><a href="{{ path('domain-view', {'domain': mailbox.domain.id}) }}">{{ mailbox.domain.domainName }}</a></li>
        <li><a href="{{ path('email-index', {'domain': mailbox.domain.id}) }}">{{ 'breadcrumbs.email.title' | trans }}</a></li>
        <li>{{ mailbox.login }}@{{ mailbox.domain.domainName }}</li>
    </ol>
    {% set quotaTotal = 976562 %}{# 1Go in Kio #}
    {% set quota = mailbox.quota.used * 100 // quotaTotal %}

    <div class="uk-flex uk-flex-center" uk-grid>
        <div class="uk-card uk-card-default">
            <div class="uk-card-header">
                <h3 class="uk-card-title">{{ mailbox.login }}<span class="text-muted">@{{ mailbox.domain.domainName }}</span></h3>
            </div>
            <div class="uk-card-body">
                <h4>{{ 'mailbox.list.used_space' | trans }}</h4>
                <div class="progress">
                    <div class="progress-bar progress-bar-striped" role="progressbar" aria-valuenow="{{ quota }}" aria-valuemin="0" aria-valuemax="100" style="min-width: 2em;">
                        {{ quota }}%
                    </div>
                </div>
                <a class="btn btn-primary" href="https://sogo3.gandi.net/SOGo/" target="_blank" rel="noopener noreferrer">{{ 'mailbox.webmail' | trans }}</a>
            </div>
            <div class="uk-card-footer">
                <a title="{{ 'mailbox.list.action.edit' | trans }}"><span class="glyphicon glyphicon-pencil"></span></a>
                <a href="{{ path('email-delete', {'domain': mailbox.domain.id, 'login': mailbox.login}) }}" title="{{ 'mailbox.list.action.delete' | trans }}"><span class="glyphicon glyphicon-trash"></span></a>
            </div>
        </div>
    </div>

{% endblock %}